# Мгновенное прототипирование

Вы можете быстро создавать прототип в одном файле `*.vue` с помощью команд `vue serve` и `vue build`, но для них сначала потребуется глобально установить плагин в дополнение к Vue CLI:

```bash
npm install -g @vue/cli @vue/cli-service-global
# или
yarn global add @vue/cli @vue/cli-service-global
```

Недостаток `vue serve` в том, что он полагается на глобально установленные зависимости, которые могут отличаться на разных машинах. Поэтому его рекомендуется использовать только для быстрого прототипирования.

### vue serve

```
Использование: serve [options] [entry]

Запустить .js или .vue файл в режиме разработки без конфигурации


Опции:

  -o, --open         Открыть в браузере
  -c, --copy         Скопировать локальный URL в буфер обмена
  -p, --port <port>  Используемый сервером порт (по умолчанию: 8080 или следующий свободный порт)
  -h, --help         Вывести информацию об использовании команды
```

Всё что вам потребуется — файл `App.vue`:

```vue
<template>
  <h1>Hello!</h1>
</template>
```

Затем, в каталоге с файлом `App.vue`, выполните команду:

```bash
vue serve
```

`vue serve` использует такую же конфигурацию по умолчанию (webpack, babel, postcss & eslint) как и проекты создаваемые с помощью `vue create`. Он автоматически выбирает стартовый файл в текущем каталоге — этот файл может быть одним из `main.js`, `index.js`, `App.vue` или `app.vue`. Можно также явно указать стартовый файл:

```bash
vue serve MyComponent.vue
```

При необходимости вы также можете предоставить `index.html`, `package.json`, установить и использовать локальные зависимости, или даже настроить babel, postcss & eslint с помощью соответствующих файлов конфигурации.

### vue build

```
Использование: build [options] [entry]

Собрать .js или .vue файл в режиме production без конфигурации

Опции:

  -t, --target <target>  Цели сборки (app | lib | wc | wc-async, по умолчанию: app)
  -n, --name <name>      Имя для библиотеки или веб-компонента (по умолчанию: имя файла входной точки)
  -d, --dest <dir>       Каталог расположения готовой сборки (по умолчанию: dist)
  -h, --help             Вывести информацию об использовании команды
```

Вы можете собрать целевой файл в режиме production для публикации с помощью `vue build`:

```bash
vue build MyComponent.vue
```

`vue build` также предоставляет возможность сборки компонента в качестве библиотеки или веб-компонента. Подробнее в разделе [Цели сборки](./build-targets.md).
